'use strict';

var loggerPartial = require("@joepie91/gulp-partial-logger");
var livereloadPartial = require("@joepie91/gulp-partial-livereload");

var cache = require("gulp-cached");
var jade = require("gulp-jade");

module.exports = function (options) {
	var cacheKey = options.cacheKey != null ? options.cacheKey : "preset";

	var streamList = [cache(cacheKey), jade()];

	if (options.livereload != null) {
		streamList.push(livereloadPartial(options.livereload));
	}

	return loggerPartial("jade", streamList, {
		logger: {
			basePath: options.basePath
		}
	});
};